source {base} | R Documentation

## Redirect Input

### Description

`source` causes R to accept its input from the named file (the name must be quoted). Input is read from that file until the end of the file is reached. `parse` is used to scan the expressions in, they are then evaluated sequentially in the chosen environment.

### Usage

    source(file, local = FALSE, echo = verbose, print.eval = echo,
           verbose = getOption("verbose"),  prompt.echo = getOption("prompt"),
           max.deparse.length = 150, chdir = FALSE)

### Arguments

`file` | a connection or a character string giving the name of the file or URL to read from.
`local` | if `local` is `FALSE`, the statements scanned are evaluated in the user's workspace (the global environment), otherwise in the environment calling `source`.
`echo` | logical; if `TRUE`, each expression is printed after parsing, before evaluation.
`print.eval` | logical; if `TRUE`, the result of `eval(i)` is printed for each expression `i`; defaults to `echo`.
`verbose` | if `TRUE`, more diagnostics (than just `echo = TRUE`) are printed during parsing and evaluation of input, including extra info for each expression.
`prompt.echo` | character; gives the prompt to be used if `echo = TRUE`.
`max.deparse.length` | integer; is used only if `echo` is `TRUE` and gives the maximal length of the ``echo'' of a single expression.
`chdir` | logical; if `TRUE`, the R working directory is changed to the directory containing `file` for evaluating.

### Details

All versions of R accept input from a connection with end of line marked by LF (as used on Unix), CRLF (as used on DOS/Windows) or CR (as used on Mac). The final line can be incomplete, that is missing the final EOL marker.

### See Also

`demo` which uses `source`; `eval`, `parse` and `scan`; `options("keep.source")`.

[Package Contents]